GetbeelDocs

Payments recorded on an invoice, oldest first

GET
/invoices/{id}/payments

Authorization

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

Path Parameters

id*string

Header Parameters

Getbeel-Company?string

Act on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.

Formatuuid

Response Body

OK

application/json
  1. response
object*string
data*array<>
has_more*boolean
next_cursor*string|null
Example Request
curl -X GET 'https://www.getbeel.com/api/v1/invoices/string/payments'
Example Response
{  "object": "list",  "data": [    {      "object": "invoice_payment",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "invoice_id": "string",      "amount": "122.00",      "date": "2026-10-29",      "method": "bank_transfer",      "source": "app",      "note": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}